%global srcname jinja2_pluralize
%global desc Simple pluralize filter for jinja2 based on inflect.py


Name:           python-%{srcname}
Version:        0.3.0
Release:        8%{?dist}
BuildArch:      noarch

License:        BSD
Summary:        Jinja2 pluralize filters
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/j/%{srcname}/%{srcname}-%{version}.tar.gz


BuildRequires:  python2-devel
BuildRequires:  python-inflect
BuildRequires:  python2-jinja2
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-inflect
BuildRequires:  python3-jinja2
BuildRequires:  python3-setuptools


%description
%{desc}


%package -n python2-%{srcname}
Summary:        %{summary}

Requires:       python-inflect

%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
%{desc}


%package -n python3-%{srcname}
Summary:        %{summary}

Requires:       python3-inflect

%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python2_sitelib}/jinja2_pluralize
%{python2_sitelib}/jinja2_pluralize-%{version}-*.egg-info


%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python3_sitelib}/jinja2_pluralize
%{python3_sitelib}/jinja2_pluralize-%{version}-*.egg-info


%changelog
* Tue Oct 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.3.0-8
- Unretire package.
